We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

Angular Funnel Chart is like a pyramid, with two parts, the higher part called head and the lower part, neck. Funnel charts are often used to represent stages in a sales process and show the amount of potential revenue for each stage.


Custom neck

Customize the height and width of the funnel to change the look and feel. Changing the width and height of the neck to zero makes funnel chart look like an inverted pyramid.


Data label

Show details about the data points with the help of data label support. You can place the label inside and outside the chart. Connector lines can be used to connect the outside label with charts. You can rotate the data label by its given angle.


Point explode

Data points can be exploded on rendering and on mouse click.


Grouped points

Group the points in a funnel chart based on certain conditions. The grouped slices can be split into individual points by clicking the slice.


Customization

Customize the look and feel of the funnel chart using built-in APIs.


Angular Funnel Chart Code Example

Easily get started with Angular Funnel Chart using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Funnel Chart Example that shows you how to render and configure the chart.

<ejs-accumulationchart id="chart-container">
  <e-accumulation-series-collection>
      <e-accumulation-series [dataSource]='data' xName='x' yName='y' type='Funnel'></e-accumulation-series>
  </e-accumulation-series-collection>
</ejs-accumulationchart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [    
    { x: 'JPN', text: 'Japan', y: 5156 },
    { x: 'DEU', text: 'Germany', y: 3754  },
    { x: 'FRA', text: 'France', y: 2809 },
    { x: 'GBR', text: 'UK', y: 2721  },
    { x: 'BRA', text: 'Brazil', y: 2472  },
    { x: 'RUS', text: 'Russia', y: 2231 },
    { x: 'ITA', text: 'Italy', y: 2131  },
    { x: 'IND', text: 'India', y: 1857  },   
];

}

//app.module.ts
import { AccumulationChartModule } from '@syncfusion/ej2-ng-charts';
import { FunnelSeriesService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, AccumulationChartModule
  ],
  providers: [FunnelSeriesService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Funnel Chart User Guide

Learn the available options to customize Angular Funnel Chart.

API

Funnel Chart API Reference

Explore the Angular Funnel Chart APIs.


90+ ANGULAR UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

React Funnel Chart is like a pyramid, with two parts, the higher part called head and the lower part, neck. Funnel chart is often used to represent stages in a sales process and show the amount of potential revenue for each stage.


Custom neck

Customize the height and width of the funnel to change the look and feel. Changing the width and height of the neck to zero makes funnel chart looks like an inverted pyramid.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Point explode

Data points can be exploded on rendering and on mouse click.


Grouped points

Group the points in a funnel chart based on certain conditions. The grouped slices can be split into individual points by clicking the slice.


Customization

Customize the look and feel of the funnel chart using built-in APIs.


React Funnel Chart Code Example

Easily get started with React Funnel Chart using a few simple lines of HTML and JS code example as demonstrated below. Also explore our React Funnel Chart Example that shows you how to render and configure the chart.

<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>
import { AccumulationChartComponent, AccumulationSeriesCollectionDirective, AccumulationSeriesDirective,  FunnelSeries, Inject}
from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public data1: any[]= [
    { x: 'United States', y: 45, text: 'USA', fill: '#00226C' },
    { x: 'Australia', y: 53, text: 'AUS: 14%', fill: '#0450C2' },
    { x: 'China', y: 56, text: 'CHN', fill: '#0073DC' },
    { x: 'India', y: 61, text: 'IND', fill: '#0D98FF' },
    { x: 'Japan', y: 13, text: 'JPN', fill: '#9CD9FF' },
    { x: 'United Kingdom', y: 71, text: 'UK', fill: '#0450C2' }
];

  public render() {
    return <AccumulationChartComponent id='charts'>
    <Inject services={[FunnelSeries]} />
    <AccumulationSeriesCollectionDirective>
      <AccumulationSeriesDirective dataSource={this.data1} xName='x' yName='y' type='Funnel'/>
    </AccumulationSeriesCollectionDirective>
  </AccumulationChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);

Learning Resources

UG

Funnel Chart User Guide

Learn the available options to customize React funnel chart.

API

Funnel Chart API Reference

Explore the React funnel chart APIs.


90+ REACT UI COMPONENTS

Scroll up icon